<?php
	//vlozim si potrebne funkcie z ineho suboru
	header("Content-Type: text/html; charset=Windows-1250");
	$meno_suboru="functions_for_file.php";
	if(file_exists($meno_suboru)){
	require_once($meno_suboru);
	}else{
	echo("Nenašiel som súbor ".$meno_suboru." pre vloženie do skriptu. Ukončím vykonávanie skriptu.");
	exit;
	}
	//vlozenie funkcii generujucich zaciatok, obsah a koniec suboru
	$meno_suboru="functions_for_layout.php";
	if(file_exists($meno_suboru)){
	require_once($meno_suboru);
	}else{
	echo("Nenašiel som súbor ".$meno_suboru." pre vloženie do skriptu. Ukončím vykonávanie skriptu.");
	exit;
	}
	
	$is=0;

		if((isset($_POST["dbuser"])) or (isset($_POST["dbname"])) or (isset($_POST["dbhost"])) or (isset($_POST["dbpass"]))) $is=1;
		
		//ak uz je system nainstalovany, tato funkcia zastavi instalaciu a vypise spravu
		if((check_if_full("db_conf.php")==true) && ($is==1)){	
			content2_of_file();
			exit;
		}
	
	/*
	tato funkcia najskor zapise konfiguracne udaje do suboru a potom ich
	moze nacitat trieda, ktora nainstaluje potrebnu strukturu databazy
	cela instalacia sa komentuje uzivatelovi na obrazovke prehliadaca
	*/
	zapis_db_conf($_POST["dbname"],$_POST["dbuser"],$_POST["dbhost"],$_POST["dbpass"]);
?>
